Page MenuHomePhabricator

Special:Preferences design broken in desktop MinervaNeue - not using OOUI
Closed, ResolvedPublic

Description

Visit https://en.wikipedia.org/wiki/Special:Preferences?useskin=minerva when logged in

When filed

Notice how the tabs are unstyled:

Also note the save button:


and input widgets:

This is expected as Minerva specifically avoids loading unnecessary CSS and enforcing UI standards and I guess blocked on T117781 but I wonder if there is a way to improve rendering for Minerva... maybe enabling OOUI widgets just for that skin?

Now

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2017, 10:38 PM

Looks like some work on this has already been done, here's how it looks like now:

https://en.wikipedia.org/wiki/Special:Preferences?useskin=minerva#mw-prefsection-editing

I've been working on the subtask T117781 recently, and here's how it looks like for me locally with the patch https://gerrit.wikimedia.org/r/352071 (note that the preferences are a bit different since I have different extensions that production; also, the cut-off tabs are a known issue):

Jdlrobson moved this task from Desktop to Tracking on the MinervaNeue board.Oct 5 2017, 12:49 AM
Jdlrobson edited projects, added MinervaNeue; removed MinervaNeue (Desktop).
Volker_E renamed this task from Special:Preferences design broken - not using OOjs UI or MediaWiki UI to Special:Preferences design broken - not using OOUI.Dec 4 2017, 9:45 PM
Jdforrester-WMF renamed this task from Special:Preferences design broken - not using OOUI to Special:Preferences design broken in desktop MinervaNeue - not using OOUI.Jan 18 2018, 7:53 PM

(this task needs updating - a few things have changed recently)

Esanders closed this task as Resolved.Apr 23 2018, 12:07 PM
Esanders claimed this task.
Esanders added a subscriber: Esanders.

The OOUI rewrite was reverted. Looks fine in the latest WIP patch though. We can re-open this if there is a problem when it eventually gets merged again.